]> git.ipfire.org Git - thirdparty/cups.git/blobdiff - test/5.6-lpr.sh
Import CUPS v2.0b1
[thirdparty/cups.git] / test / 5.6-lpr.sh
index c16a121dc0923cfca97661dca39da046dd5da86a..c918ab2e5fa41a41a539483b70464de5f0aba73c 100644 (file)
@@ -1,32 +1,23 @@
 #!/bin/sh
 #
-# "$Id: 5.6-lpr.sh 4494 2005-02-18 02:18:11Z mike $"
+# "$Id: 5.6-lpr.sh 12065 2014-07-30 17:56:35Z msweet $"
 #
 #   Test the lpr command.
 #
+#   Copyright 2007-2014 by Apple Inc.
 #   Copyright 1997-2005 by Easy Software Products, all rights reserved.
 #
 #   These coded instructions, statements, and computer programs are the
-#   property of Easy Software Products and are protected by Federal
-#   copyright law.  Distribution and use rights are outlined in the file
-#   "LICENSE.txt" which should have been included with this file.  If this
-#   file is missing or damaged please contact Easy Software Products
-#   at:
-#
-#       Attn: CUPS Licensing Information
-#       Easy Software Products
-#       44141 Airport View Drive, Suite 204
-#       Hollywood, Maryland 20636 USA
-#
-#       Voice: (301) 373-9600
-#       EMail: cups-info@cups.org
-#         WWW: http://www.cups.org
+#   property of Apple Inc. and are protected by Federal copyright
+#   law.  Distribution and use rights are outlined in the file "LICENSE.txt"
+#   which should have been included with this file.  If this file is
+#   file is missing or damaged, see the license at "http://www.cups.org/".
 #
 
 echo "LPR Default Test"
 echo ""
-echo "    lpr testfile.jpg"
-../berkeley/lpr testfile.jpg 2>&1
+echo "    lpr testfile.pdf"
+$VALGRIND ../berkeley/lpr testfile.pdf 2>&1
 if test $? != 0; then
        echo "    FAILED"
        exit 1
@@ -37,8 +28,20 @@ echo ""
 
 echo "LPR Destination Test"
 echo ""
-echo "    lpr -P Test1 testfile.jpg"
-../berkeley/lpr -P Test1 testfile.jpg 2>&1
+echo "    lpr -P Test3 -o fit-to-page testfile.jpg"
+$VALGRIND ../berkeley/lpr -P Test3 -o fit-to-page testfile.jpg 2>&1
+if test $? != 0; then
+       echo "    FAILED"
+       exit 1
+else
+       echo "    PASSED"
+fi
+echo ""
+
+echo "LPR Options Test"
+echo ""
+echo "    lpr -P Test1 -o number-up=4 -o job-sheets=standard,none testfile.pdf"
+$VALGRIND ../berkeley/lpr -P Test1 -o number-up=4 -o job-sheets=standard,none testfile.pdf 2>&1
 if test $? != 0; then
        echo "    FAILED"
        exit 1
@@ -47,17 +50,27 @@ else
 fi
 echo ""
 
-echo "LPR Flood Test"
+echo "LPR Flood Test ($1 times in parallel)"
 echo ""
-echo "    lpr -P Test1 testfile.jpg ($1 times in parallel)"
+echo "    lpr -P Test1 testfile.jpg"
+echo "    lpr -P Test2 testfile.jpg"
 i=0
+pids=""
 while test $i -lt $1; do
-       echo "    flood copy $i..." 1>&2
-       ../berkeley/lpr -P Test1 testfile.jpg 2>&1 &
-       lprpid=$!
+       j=1
+       while test $j -le $2; do
+               $VALGRIND ../berkeley/lpr -P test-$j testfile.jpg 2>&1
+               j=`expr $j + 1`
+       done
+
+       $VALGRIND ../berkeley/lpr -P Test1 testfile.jpg 2>&1 &
+       pids="$pids $!"
+       $VALGRIND ../berkeley/lpr -P Test2 testfile.jpg 2>&1 &
+       pids="$pids $!"
+
        i=`expr $i + 1`
 done
-wait $lppid
+wait $pids
 if test $? != 0; then
        echo "    FAILED"
        exit 1
@@ -66,6 +79,8 @@ else
 fi
 echo ""
 
+./waitjobs.sh
+
 #
-# End of "$Id: 5.6-lpr.sh 4494 2005-02-18 02:18:11Z mike $".
+# End of "$Id: 5.6-lpr.sh 12065 2014-07-30 17:56:35Z msweet $".
 #